@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
  --red: #FE646F;
  --green: #389274;
  --white: #fff;
  --black: #000;
  --lightblue: #eff2f9;
  --darkblue: #1d274e;
  --blue: #0048d8;
  --orange: #FF6542;
}

html, body{
  margin: 0;
  padding: 0 !important;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 16px;
  line-height: 1.1;
  color: var(--darkblue);
  overflow-x: hidden !important;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-smooth: never;
}

a:hover {
  color: #000000;
}
/* login  */
.login-labels div {
  min-width: 180px;
  max-width: 400px;
  height: 30px;
  border-radius: 50px;
  padding: 0 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  font-size: 14px;
  font-weight: 700;
  margin: 0 auto 20px auto;
}
.login-labels .success {
  background: #D8ECCB;
  color: var(--green);
  border: 0.5px solid var(--green);
}
.login-labels .errors {
  background: #F5D2D6;
  color: #EF3054;
  border: 0.5px solid #EF3054;
}
/* login page */
.auth-page {
  min-height: 100svh;
  align-content: center;
}
.auth-page .container {
  padding: 0;
  max-width: 100%;
}
.login-intro {
  background: var(--lightblue);
  width: 100%;
  min-height: 100svh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  position: relative;
  overflow: hidden;
  border-radius: 0 80px 80px 0;
}
.logo {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 0 15px;
  margin-bottom: 60px;
}
.logo img {
  height: 50px;
}
.logo h1 {
  font-weight: 700;
  font-size: 30px;
  line-height: 1.1;
  color: var(--blue);
  margin: 0;
}
.login-intro::before {
  content: '';
  width: 825px;
  height: 825px;
  border-radius: 50%;
  background: transparent;
  border: 1px solid var(--blue);
  position: absolute;
  top: 50%;
  left: 30%;
  transform: translate(-50%, -50%);
  animation: float 16s ease-in-out infinite;
}
@keyframes float {
  0% {
    transform: translate(-50%, -50%) scale(1.0);
  }
  25% {
    transform: translate(-50%, -55%) scale(1.01);
  }
  50% {
    transform: translate(-55%, -50%) scale(1.0);
  }
  75% {
    transform: translate(-50%, -55%) scale(0.98);
  }
  100% {
    transform: translate(-50%, -50%) scale(1.0);
  }
}
.small-circle {
  position: absolute;
  width: 225px;
  height: 225px;
  border-radius: 50%;
  border: 1px solid var(--blue);
  right: 25%;
  bottom: 20%;
  transform: translate(50%, 50%);
  align-content: center;
  text-align: center;
  animation: float2 16s ease-in-out infinite;
}
.small-circle div {
  margin: 0 auto;
  width: 60%;
  aspect-ratio: 1;
  border-radius: 50%;
  background: radial-gradient(circle at center,var(--blue) 0%,rgba(255, 255, 255, 0) 100%);
  filter: blur(20px);
  opacity: 0.4;
}
@keyframes float2 {
  0% {
    transform: translate(50%, 50%) scale(1.0);
  }
  25% {
    transform: translate(60%, 60%) scale(1.05);
  }
  50% {
    transform: translate(50%, 50%) scale(1.0);
  }
  75% {
    transform: translate(40%, 40%) scale(0.95);
  }
  100% {
    transform: translate(50%, 50%) scale(1.0);
  }
}
.login-intro h3 {
  font-size: 56px;
  font-weight: 700;
  color: var(--darkblue);
}
.login-intro p {
  font-size: 22px;
  font-weight: 400;
  color: var(--darkblue);
  text-wrap: balance;
  width: 100%;
  max-width: 550px;
  line-height: 1.1;
  margin-top: 10px;
}
.login-intro p b {
  color: var(--blue);
}
.auth-box {
  width: 400px;
  min-height: 400px;
  padding: 50px 40px;
  border-radius: 20px;
  background: var(--darkblue);
  margin: 0 auto;
  color: var(--white);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-wrap: balance;
  text-align: center;
}
.auth-box h6 {
  text-align: center;
  font-size: 32px;
  color: var(--white);
  font-weight: 700;
  margin-bottom: 20px;
}
.auth-box form{
  width: 100%;
}
.form_inputs {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  width: 100%;
  gap: 10px 0;
}
.form_inputs input {
  width: 100%;
  height: 45px;
  background: transparent;
  border: 1px solid var(--white);
  color: var(--white);
  padding: 0 15px;
  border-radius: 10px;
}
.form_inputs input:focus-visible {
  outline: none;
}
.auth-links {
  text-align: right;
  margin: 20px 0;
}
.auth-links a {
  color: var(--white);
  text-decoration: none;
  transition: all 0.4s ease;
}
.auth-links a:hover {
  color: var(--orange);
  text-decoration: underline;
}
.auth-box button {
  width: 100%;
  height: 55px;
  border-radius: 50px;
  border: none;
  background: var(--orange);
  font-weight: 700;
  font-size: 20px;
  color: var(--white);
  transition: all 0.4s ease;
  margin-top: 20px;
}
.auth-box button:hover {
  background: var(--blue);
  color: var(--white);
}
#forgot_password {
  display: none;
  text-align: center;
}
#forgot_password button {
  margin-top: 30px;
}
#verification .auth-links {
  text-align: center;
}
.otp-wrapper {
  display: flex;
  gap: 10px;
  justify-content: center;
  margin-bottom: 20px;
}
.otp-input {
  width: 45px;
  height: 55px;
  text-align: center;
  font-size: 22px;
  border: 2px solid transparent;
  border-radius: 8px;
  outline: none;
  transition: 0.2s;
  font-size: 24px;
  font-weight: 700;
  color: var(--darkblue);
}
.otp-input:focus {
  border: 2px solid var(--orange);
}
.otp-input.otp-valid {
  border: 2px solid var(--green);
  box-shadow: 0px 0px 11px 5px rgba(56, 146, 116, 0.5);
}
.otp-input:focus-visible {
  outline: none;
}
#verify-btn:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}
/* Media Queries */
@media only screen and (max-width: 768px) {
  .auth-page {
    background: var(--lightblue);
  }
}